About
=====
Latte is a dock based on plasma frameworks that provides an elegant and intuitive experience for your tasks and plasmoids. It animates its contents by using parabolic zoom effect and tries to be there only when it is needed.

**"Art in Coffee"**

Screenshots
===========

![](https://cdn.kde.org/screenshots/latte-dock/latte-dock_regular.png)

![](https://cdn.kde.org/screenshots/latte-dock/latte-dock_settings.png)

Development
============

- Official KDE repo in which you can also send your MRs is located at: https://invent.kde.org/plasma/latte-dock
- Bug reports can be sent at: https://bugs.kde.org/enter_bug.cgi?product=lattedock


Installation
============

## Requirements

We need to use at least:

- **Plasma >= 5.24.0**
- **PlasmaWaylandProtocols >= 1.6.0**
- **Qt >= 5.15**

Minimum requirements:

**tools:**
```
 bash
```

**development packages for:**
```
 QtCore >= 6.5.0
 QtGui >= 6.5.0
 QtDbus >= 6.5.0

 KF5Plasma >= 6.0
 KF5PlasmaQuick >= 6.0
 KF5Activities >= 6.0
 KF5CoreAddons >= 6.0
 KF5GuiAddons >= 6.0
 KF5DBusAddons >= 6.0
 KF5Declarative >= 6.0
 KF5Kirigami2 >= 6.0
 KF5Wayland >= 6.0
 KF5Package >= 6.0
 KF5XmlGui >= 6.0
 KF5IconThemes >= 6.0
 KF5KIO >= 6.0
 KF5I18n >= 6.0
 KF5Notifications >= 6.0
 KF5NewStuff >= 6.0
 KF5Archive >= 6.0
 KF5GlobalAccel >= 6.0
 KF5Crash >= 6.0

  For X11 support:
    KF6WindowSystem >= 6.0
    libxcb
    libxcb-randr
    libxcb-shape
    libSM
```

## From repositories

### Ubuntu/Debian

- [Ubuntu](https://packages.ubuntu.com/bionic/latte-dock)

### openSUSE

- [openSUSE](https://software.opensuse.org/package/latte-dock?search_term=latte+dock)
- [psifidotos - OBS](https://software.opensuse.org//download.html?project=home%3Apsifidotos&package=latte-dock)

### Fedora

- [Fedora](https://koji.fedoraproject.org/koji/packageinfo?packageID=24229)

### Arch Linux

- [Arch Linux](https://www.archlinux.org/packages/?sort=&q=latte-dock)

### Gentoo

- [Gentoo](https://packages.gentoo.org/packages/kde-misc/latte-dock)

### Solus Project

- [Solus](https://packages.solus-project.com/shannon/l/latte-dock/)

### Void Linux

- [Void Linux](https://github.com/void-linux/void-packages/tree/master/srcpkgs/latte-dock)

### FreeBSD
- [FreeBSD Port](https://www.freshports.org/deskutils/latte-dock/)

See the [installation instructions](./INSTALLATION.md) for other Linux distributions or development builds

## Run Latte-Dock

Latte is now ready to be used by executing
```
latte-dock
```

or activating **Latte Dock** from the applications menu.


Contributors
============
[Varlesh](https://github.com/varlesh): Logos and Icons.
